summaryrefslogtreecommitdiffstats
path: root/bin/tests/system/shutdown
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 23:51:28 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 23:51:28 +0000
commit754c7de1e91eeb28c6d3766900ead0c3e44fdb85 (patch)
tree51433c0e38731dc9ecd342555a56f876980b1834 /bin/tests/system/shutdown
parentAdding debian version 1:9.16.44-1~deb11u1. (diff)
downloadbind9-754c7de1e91eeb28c6d3766900ead0c3e44fdb85.tar.xz
bind9-754c7de1e91eeb28c6d3766900ead0c3e44fdb85.zip
Merging upstream version 1:9.16.48.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'bin/tests/system/shutdown')
-rwxr-xr-xbin/tests/system/shutdown/prereq.sh31
1 files changed, 14 insertions, 17 deletions
diff --git a/bin/tests/system/shutdown/prereq.sh b/bin/tests/system/shutdown/prereq.sh
index 9f46512..826a3f8 100755
--- a/bin/tests/system/shutdown/prereq.sh
+++ b/bin/tests/system/shutdown/prereq.sh
@@ -14,25 +14,22 @@
SYSTEMTESTTOP=..
. $SYSTEMTESTTOP/conf.sh
-if test -n "$PYTHON"
-then
- if $PYTHON -c "import pytest" 2> /dev/null
- then
- :
- else
- echo_i "This test requires the pytest framework." >&2
- fi
+if test -n "$PYTHON"; then
+ if $PYTHON -c "import pytest" 2>/dev/null; then
+ :
+ else
+ echo_i "This test requires the pytest framework." >&2
+ fi
- if $PYTHON -c "import dns" 2> /dev/null
- then
- :
- else
- echo_i "This test requires the dnspython module." >&2
- exit 1
- fi
-else
- echo_i "This test requires Python, the pytest framework and the dnspython module." >&2
+ if $PYTHON -c "import dns" 2>/dev/null; then
+ :
+ else
+ echo_i "This test requires the dnspython module." >&2
exit 1
+ fi
+else
+ echo_i "This test requires Python, the pytest framework and the dnspython module." >&2
+ exit 1
fi
exit 0